Subject: Re: bug#13574: 24.2.92; java-mode builds wrong imenu index

From: Alan Mackenzie <[email-masked]>
Date: Tue, 5 Mar 2013 22:36:20 +0000

Hi, Leo.

On Mon, Jan 28, 2013 at 02:20:07PM +0800, Leo Liu wrote:
> 1. Open this file:
> http://code.google.com/p/guava-libraries/source/browse/guava/src/com/google/common/annotations/GwtCompatible.java

At that address I only get a formatted picture of the file.  I don't see
how I can easily get hold of the file itself.

> 2. M-x imenu

> which shows newArrayList that is not defined. In addition, the doc
> comment is not properly fontified.

Java imenu stuff is being worked on at the moment in any case.

Just as a comment, self-contained bug reports (as contrasted with those
where I have to gather information from disparate sources) are always
easier to work with.

> Leo

-- 
Alan Mackenzie (Nuremberg, Germany).